.modal{
	.modal-dialog{
		.modal-content{
			overflow: hidden;
			border: none;
			box-shadow: 0 0 2px #999;

			.modal-header {
				border-bottom: none;
				padding-top: 15px;
				padding-bottom: 15px;
				font-weight: 500;
				.modal-title{
					text-transform: uppercase;
					font-size: 1.1rem;
				}
			}
		}
	}
	&.modal-primary{
		.modal-dialog{
			.modal-content{
				.modal-header{
					color: #fff;
					background-color: $primary;
				}
			}
		}
	}
	&.modal-secondary{
		.modal-dialog{
			.modal-content{
				.modal-header{
					color: #fff;
					background-color: $secondary;
				}
			}
		}
	}
	&.modal-info{
		.modal-dialog{
			.modal-content{
				.modal-header{
					color: #fff;
					background-color: $info;
				}
			}
		}
	}
	&.modal-success{
		.modal-dialog{
			.modal-content{
				.modal-header{
					color: #fff;
					background-color: $success;
				}
			}
		}
	}
	&.modal-warning{
		.modal-dialog{
			.modal-content{
				.modal-header{
					color: #fff;
					background-color: $warning;
				}
			}
		}
	}
	&.modal-danger{
		.modal-dialog{
			.modal-content{
				.modal-header{
					color: #fff;
					background-color: $danger;
				}
			}
		}
	}
}